Add-On Updater: random auto update failures?


Luke Davis
 

Hello

Out of nowhere, I got some NVDA error sounds. Upon checking the log, I saw that Add-On Updater had tried to get updates, and failed.

After copying the trace, I manually ran updater and updated one add-on just fine.

Could it be that some automatic updates are failing for some reason when manual updates at the same time would succeed?
I know I did not lose internet access at any point during this, though it is possible some remote server was down.

Info follows:

NVDA: installed, alpha-22260,62eaba52
Windows: 20H2 (OS Build 19042.867)
Add-on Updater: 21.03
Log:
DEBUG - external:globalPlugins.addonUpdater.addonHandlerEx._currentCommunityAddons (19:26:39.268) - Thread-6 (8132):
nvda3208: errors occurred while retrieving community add-ons
Traceback (most recent call last):
File "urllib\request.pyc", line 1350, in do_open
File "http\client.pyc", line 1255, in request
File "http\client.pyc", line 1301, in _send_request
File "http\client.pyc", line 1250, in endheaders
File "http\client.pyc", line 1010, in _send_output
File "http\client.pyc", line 950, in send
File "http\client.pyc", line 1417, in connect
File "http\client.pyc", line 921, in connect
File "socket.pyc", line 787, in create_connection
File "socket.pyc", line 918, in getaddrinfo
socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "C:\Users\luke\AppData\Roaming\nvda\addons\addonUpdater\globalPlugins\addonUpdater\addonHandlerEx.py", line 197, in _currentCommunityAddons
res = urlopen("https://addons.nvda-project.org/files/get.php?addonslist")
File "urllib\request.pyc", line 222, in urlopen
File "urllib\request.pyc", line 525, in open
File "urllib\request.pyc", line 542, in _open
File "urllib\request.pyc", line 502, in _call_chain
File "urllib\request.pyc", line 1393, in https_open
File "urllib\request.pyc", line 1353, in do_open
urllib.error.URLError: <urlopen error [Errno 11001] getaddrinfo failed>
ERROR - stderr (19:26:39.268) - Thread-5 (8368):
Exception in thread
ERROR - stderr (19:26:39.283) - Thread-5 (8368):
Thread-5
ERROR - stderr (19:26:39.314) - Thread-5 (8368):
:
ERROR - stderr (19:26:39.328) - Thread-5 (8368):
Traceback (most recent call last):
ERROR - stderr (19:26:39.348) - Thread-5 (8368):
File "C:\Users\luke\AppData\Roaming\nvda\addons\addonUpdater\globalPlugins\addonUpdater\addonHandlerEx.py", line 257, in checkForAddonUpdates
ERROR - stderr (19:26:39.364) - Thread-5 (8368):
info = checkForAddonUpdate(curAddons)
ERROR - stderr (19:26:39.374) - Thread-5 (8368):
File "C:\Users\luke\AppData\Roaming\nvda\addons\addonUpdater\globalPlugins\addonUpdater\addonHandlerEx.py", line 218, in checkForAddonUpdate
ERROR - stderr (19:26:39.403) - Thread-5 (8368):
raise RuntimeError("Failed to retrieve community add-ons")
ERROR - stderr (19:26:39.423) - Thread-5 (8368):
RuntimeError
ERROR - stderr (19:26:39.453) - Thread-5 (8368):
:
ERROR - stderr (19:26:39.478) - Thread-5 (8368):
Failed to retrieve community add-ons
ERROR - stderr (19:26:39.508) - Thread-5 (8368):

During handling of the above exception, another exception occurred:
ERROR - stderr (19:26:39.538) - Thread-5 (8368):
Traceback (most recent call last):
ERROR - stderr (19:26:39.558) - Thread-5 (8368):
File "threading.pyc", line 932, in _bootstrap_inner
ERROR - stderr (19:26:39.568) - Thread-5 (8368):
File "threading.pyc", line 870, in run
ERROR - stderr (19:26:39.598) - Thread-5 (8368):
File "C:\Users\luke\AppData\Roaming\nvda\addons\addonUpdater\globalPlugins\addonUpdater\addonHandlerEx.py", line 290, in _showAddonUpdateUI
ERROR - stderr (19:26:39.618) - Thread-5 (8368):
info = checkForAddonUpdates()
ERROR - stderr (19:26:39.638) - Thread-5 (8368):
File "C:\Users\luke\AppData\Roaming\nvda\addons\addonUpdater\globalPlugins\addonUpdater\addonHandlerEx.py", line 260, in checkForAddonUpdates
ERROR - stderr (19:26:39.658) - Thread-5 (8368):
raise RuntimeError("Cannot check for community add-on updates")
ERROR - stderr (19:26:39.678) - Thread-5 (8368):
RuntimeError
ERROR - stderr (19:26:39.698) - Thread-5 (8368):
:
ERROR - stderr (19:26:39.718) - Thread-5 (8368):
Cannot check for community add-on updates


 

Hi,
I guess a remote server was down (probably GitHub or somewhere).
Cheers,
Joseph

-----Original Message-----
From: nvda-addons@nvda-addons.groups.io <nvda-addons@nvda-addons.groups.io>
On Behalf Of Luke Davis
Sent: Thursday, April 8, 2021 4:39 PM
To: nvda-addons@groups.io
Subject: [nvda-addons] Add-On Updater: random auto update failures?

Hello

Out of nowhere, I got some NVDA error sounds. Upon checking the log, I saw
that Add-On Updater had tried to get updates, and failed.

After copying the trace, I manually ran updater and updated one add-on just
fine.

Could it be that some automatic updates are failing for some reason when
manual updates at the same time would succeed?
I know I did not lose internet access at any point during this, though it is
possible some remote server was down.

Info follows:

NVDA: installed, alpha-22260,62eaba52
Windows: 20H2 (OS Build 19042.867)
Add-on Updater: 21.03
Log:
DEBUG -
external:globalPlugins.addonUpdater.addonHandlerEx._currentCommunityAddons
(19:26:39.268) - Thread-6 (8132):
nvda3208: errors occurred while retrieving community add-ons Traceback (most
recent call last):
File "urllib\request.pyc", line 1350, in do_open
File "http\client.pyc", line 1255, in request
File "http\client.pyc", line 1301, in _send_request
File "http\client.pyc", line 1250, in endheaders
File "http\client.pyc", line 1010, in _send_output
File "http\client.pyc", line 950, in send
File "http\client.pyc", line 1417, in connect
File "http\client.pyc", line 921, in connect
File "socket.pyc", line 787, in create_connection
File "socket.pyc", line 918, in getaddrinfo
socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File
"C:\Users\luke\AppData\Roaming\nvda\addons\addonUpdater\globalPlugins\addonU
pdater\addonHandlerEx.py", line 197, in _currentCommunityAddons
res =
urlopen("https://addons.nvda-project.org/files/get.php?addonslist")
File "urllib\request.pyc", line 222, in urlopen
File "urllib\request.pyc", line 525, in open
File "urllib\request.pyc", line 542, in _open
File "urllib\request.pyc", line 502, in _call_chain
File "urllib\request.pyc", line 1393, in https_open
File "urllib\request.pyc", line 1353, in do_open
urllib.error.URLError: <urlopen error [Errno 11001] getaddrinfo failed>
ERROR - stderr (19:26:39.268) - Thread-5 (8368):
Exception in thread
ERROR - stderr (19:26:39.283) - Thread-5 (8368):
Thread-5
ERROR - stderr (19:26:39.314) - Thread-5 (8368):
:
ERROR - stderr (19:26:39.328) - Thread-5 (8368):
Traceback (most recent call last):
ERROR - stderr (19:26:39.348) - Thread-5 (8368):
File
"C:\Users\luke\AppData\Roaming\nvda\addons\addonUpdater\globalPlugins\addonU
pdater\addonHandlerEx.py", line 257, in checkForAddonUpdates ERROR - stderr
(19:26:39.364) - Thread-5 (8368):
info = checkForAddonUpdate(curAddons)
ERROR - stderr (19:26:39.374) - Thread-5 (8368):
File
"C:\Users\luke\AppData\Roaming\nvda\addons\addonUpdater\globalPlugins\addonU
pdater\addonHandlerEx.py", line 218, in checkForAddonUpdate ERROR - stderr
(19:26:39.403) - Thread-5 (8368):
raise RuntimeError("Failed to retrieve community add-ons") ERROR - stderr
(19:26:39.423) - Thread-5 (8368):
RuntimeError
ERROR - stderr (19:26:39.453) - Thread-5 (8368):
:
ERROR - stderr (19:26:39.478) - Thread-5 (8368):
Failed to retrieve community add-ons
ERROR - stderr (19:26:39.508) - Thread-5 (8368):

During handling of the above exception, another exception occurred:
ERROR - stderr (19:26:39.538) - Thread-5 (8368):
Traceback (most recent call last):
ERROR - stderr (19:26:39.558) - Thread-5 (8368):
File "threading.pyc", line 932, in _bootstrap_inner ERROR - stderr
(19:26:39.568) - Thread-5 (8368):
File "threading.pyc", line 870, in run ERROR - stderr (19:26:39.598) -
Thread-5 (8368):
File
"C:\Users\luke\AppData\Roaming\nvda\addons\addonUpdater\globalPlugins\addonU
pdater\addonHandlerEx.py", line 290, in _showAddonUpdateUI ERROR - stderr
(19:26:39.618) - Thread-5 (8368):
info = checkForAddonUpdates()
ERROR - stderr (19:26:39.638) - Thread-5 (8368):
File
"C:\Users\luke\AppData\Roaming\nvda\addons\addonUpdater\globalPlugins\addonU
pdater\addonHandlerEx.py", line 260, in checkForAddonUpdates ERROR - stderr
(19:26:39.658) - Thread-5 (8368):
raise RuntimeError("Cannot check for community add-on updates") ERROR -
stderr (19:26:39.678) - Thread-5 (8368):
RuntimeError
ERROR - stderr (19:26:39.698) - Thread-5 (8368):
:
ERROR - stderr (19:26:39.718) - Thread-5 (8368):
Cannot check for community add-on updates


Luke Davis
 

This is just a thought, not a criticism, but might it be better to catch this and put something more brief in the log instead of a chain of tracebacks?

A down server, or similar condition, is a failure of a different kind than a bug.

Luke

On Thu, 8 Apr 2021, Joseph Lee wrote:

I guess a remote server was down (probably GitHub or somewhere).


 

Hi,
This is a bit complicated as Add-on Updater uses threads to connect and
retrieve add-on files database simply because urllib.request.urlopen takes
quite a "long time" (as in a few seconds) to respond, eating up main thread
resources (that is, causes NVDA to appear to not respond when in fact it is
working).
Cheers,
Joseph

-----Original Message-----
From: nvda-addons@nvda-addons.groups.io <nvda-addons@nvda-addons.groups.io>
On Behalf Of Luke Davis
Sent: Thursday, April 8, 2021 7:50 PM
To: nvda-addons@nvda-addons.groups.io
Subject: Re: [nvda-addons] Add-On Updater: random auto update failures?

This is just a thought, not a criticism, but might it be better to catch
this and put something more brief in the log instead of a chain of
tracebacks?

A down server, or similar condition, is a failure of a different kind than a
bug.

Luke

On Thu, 8 Apr 2021, Joseph Lee wrote:

I guess a remote server was down (probably GitHub or somewhere).


Brian's Mail list account
 

I had a spate of connectivity issues last week where web sites were there, then timed out and then there again. nobody seems to know why, but it was affecting normal browsing as well as downloads.
Brian

bglists@blueyonder.co.uk
Sent via blueyonder.
Please address personal E-mail to:-
briang1@blueyonder.co.uk, putting 'Brian Gaff'
in the display name field.
Newsgroup monitored: alt.comp.blind-users

----- Original Message -----
From: "Joseph Lee" <joseph.lee22590@gmail.com>
To: <nvda-addons@nvda-addons.groups.io>
Sent: Friday, April 09, 2021 2:02 AM
Subject: Re: [nvda-addons] Add-On Updater: random auto update failures?


Hi,
I guess a remote server was down (probably GitHub or somewhere).
Cheers,
Joseph

-----Original Message-----
From: nvda-addons@nvda-addons.groups.io <nvda-addons@nvda-addons.groups.io>
On Behalf Of Luke Davis
Sent: Thursday, April 8, 2021 4:39 PM
To: nvda-addons@groups.io
Subject: [nvda-addons] Add-On Updater: random auto update failures?

Hello

Out of nowhere, I got some NVDA error sounds. Upon checking the log, I saw
that Add-On Updater had tried to get updates, and failed.

After copying the trace, I manually ran updater and updated one add-on just
fine.

Could it be that some automatic updates are failing for some reason when
manual updates at the same time would succeed?
I know I did not lose internet access at any point during this, though it is
possible some remote server was down.

Info follows:

NVDA: installed, alpha-22260,62eaba52
Windows: 20H2 (OS Build 19042.867)
Add-on Updater: 21.03
Log:
DEBUG -
external:globalPlugins.addonUpdater.addonHandlerEx._currentCommunityAddons
(19:26:39.268) - Thread-6 (8132):
nvda3208: errors occurred while retrieving community add-ons Traceback (most
recent call last):
File "urllib\request.pyc", line 1350, in do_open
File "http\client.pyc", line 1255, in request
File "http\client.pyc", line 1301, in _send_request
File "http\client.pyc", line 1250, in endheaders
File "http\client.pyc", line 1010, in _send_output
File "http\client.pyc", line 950, in send
File "http\client.pyc", line 1417, in connect
File "http\client.pyc", line 921, in connect
File "socket.pyc", line 787, in create_connection
File "socket.pyc", line 918, in getaddrinfo
socket.gaierror: [Errno 11001] getaddrinfo failed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File
"C:\Users\luke\AppData\Roaming\nvda\addons\addonUpdater\globalPlugins\addonU
pdater\addonHandlerEx.py", line 197, in _currentCommunityAddons
res =
urlopen("https://addons.nvda-project.org/files/get.php?addonslist")
File "urllib\request.pyc", line 222, in urlopen
File "urllib\request.pyc", line 525, in open
File "urllib\request.pyc", line 542, in _open
File "urllib\request.pyc", line 502, in _call_chain
File "urllib\request.pyc", line 1393, in https_open
File "urllib\request.pyc", line 1353, in do_open
urllib.error.URLError: <urlopen error [Errno 11001] getaddrinfo failed>
ERROR - stderr (19:26:39.268) - Thread-5 (8368):
Exception in thread
ERROR - stderr (19:26:39.283) - Thread-5 (8368):
Thread-5
ERROR - stderr (19:26:39.314) - Thread-5 (8368):
:
ERROR - stderr (19:26:39.328) - Thread-5 (8368):
Traceback (most recent call last):
ERROR - stderr (19:26:39.348) - Thread-5 (8368):
File
"C:\Users\luke\AppData\Roaming\nvda\addons\addonUpdater\globalPlugins\addonU
pdater\addonHandlerEx.py", line 257, in checkForAddonUpdates ERROR - stderr
(19:26:39.364) - Thread-5 (8368):
info = checkForAddonUpdate(curAddons)
ERROR - stderr (19:26:39.374) - Thread-5 (8368):
File
"C:\Users\luke\AppData\Roaming\nvda\addons\addonUpdater\globalPlugins\addonU
pdater\addonHandlerEx.py", line 218, in checkForAddonUpdate ERROR - stderr
(19:26:39.403) - Thread-5 (8368):
raise RuntimeError("Failed to retrieve community add-ons") ERROR - stderr
(19:26:39.423) - Thread-5 (8368):
RuntimeError
ERROR - stderr (19:26:39.453) - Thread-5 (8368):
:
ERROR - stderr (19:26:39.478) - Thread-5 (8368):
Failed to retrieve community add-ons
ERROR - stderr (19:26:39.508) - Thread-5 (8368):

During handling of the above exception, another exception occurred:
ERROR - stderr (19:26:39.538) - Thread-5 (8368):
Traceback (most recent call last):
ERROR - stderr (19:26:39.558) - Thread-5 (8368):
File "threading.pyc", line 932, in _bootstrap_inner ERROR - stderr
(19:26:39.568) - Thread-5 (8368):
File "threading.pyc", line 870, in run ERROR - stderr (19:26:39.598) -
Thread-5 (8368):
File
"C:\Users\luke\AppData\Roaming\nvda\addons\addonUpdater\globalPlugins\addonU
pdater\addonHandlerEx.py", line 290, in _showAddonUpdateUI ERROR - stderr
(19:26:39.618) - Thread-5 (8368):
info = checkForAddonUpdates()
ERROR - stderr (19:26:39.638) - Thread-5 (8368):
File
"C:\Users\luke\AppData\Roaming\nvda\addons\addonUpdater\globalPlugins\addonU
pdater\addonHandlerEx.py", line 260, in checkForAddonUpdates ERROR - stderr
(19:26:39.658) - Thread-5 (8368):
raise RuntimeError("Cannot check for community add-on updates") ERROR -
stderr (19:26:39.678) - Thread-5 (8368):
RuntimeError
ERROR - stderr (19:26:39.698) - Thread-5 (8368):
:
ERROR - stderr (19:26:39.718) - Thread-5 (8368):
Cannot check for community add-on updates